Subject: [yang-tooling] Re: SID file issues / .sid file differences in pyang and core-wg/pyang
From: Michael Richardson <[email-masked]>
To: Andy Bierman <[email-masked]>, Carsten Bormann <[email-masked]>, [email-masked]
Date: Thu, 12 Feb 2026 12:53:48 +0100
List-Id: "Contributing to and tracking the progress of YANG tooling, as it concerns IETF work that uses YANG." <yang-tooling.ietf.org>

Andy Bierman <[email-masked]> wrote:
    > The SID item can be used at the encode/decode layer to deal with
    > individual nodes.  If a 'structure' is used, no extra schema nodes
    > (e.g., rpc) are allowed.  They just convert to/from the internal
    > format, so only the nodes expected to be present in the data are
    > specified.  The YANG validation can be done by a higher layer (or not
    > at all).

(we missed you yesterday for the CORE WG Virtual Interim. Watch the
recording.  Carsten's slides were very good.)

A reason why I think we need a bit more than just an errata is because I
don't really understand the CORECONF use cases that would require SIDs/NIDs
for choice nodes.  That's likely because I haven't written an orchestrator.

    > We are trying to let a client use XML, JSON, or CBOR for any NETCONF or
    > RESTCONF message.  YANG Push does not use metadata, but several RPC
    > operations use it.

I'd like to understand more.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-                      *I*LIKE*TRAINS*